Subject: 24.3 build on Centos 6.5: undefined ref to `g_settings_get_value
From: Klaus Zeitler <[email-masked]>
To: <[email-masked]>
Date: Thu, 27 Mar 2014 12:27:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm trying to build emacs on my Centos 6.5 PC
(Linux destgd0h411156 2.6.32-358.23.2.el6.x86_64 #1 SMP Wed Oct 16
18:37:12 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux).

I simply ran "configure --prefix=..." and then "make", but make fails
with linker errors for temacs:

--- snip ---

gcc -std=gnu99 -nostdlib -Demacs  -I. -I/opt/kze/emacs-24.3/src -I../lib -I/opt/kze/emacs-24.3/src/../lib   -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2         -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/freetype2      -MMD -MF deps/.d -MP     -g3 -O2   -Wl,-znocombreloc  \
          -o temacs pre-crt0.o /usr/lib64/crt1.o /usr/lib64/crti.o dispnew.o frame.o scroll.o xdisp.o menu.o xmenu.o window.o charset.o coding.o category.o ccl.o character.o chartab.o bidi.o cm.o term.o terminal.o xfaces.o xterm.o xfns.o xselect.o xrdb.o xsmfns.o xsettings.o xgselect.o gtkutil.o   emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o font.o print.o lread.o syntax.o unexelf.o bytecode.o process.o gnutls.o callproc.o region-cache.o sound.o atimer.o doprnt.o intervals.o textprop.o composite.o xml.o profiler.o     xfont.o ftfont.o xftfont.o ftxfont.o  fontset.o fringe.o image.o  terminfo.o lastfile.o    vm-limit.o   ../lib/libgnu.a      -ltiff -ljpeg -lpng -lz -lm -lgif -lXpm -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lSM -lICE -lX11 -lXrender -lXft      -lrt -lrt        -ltinfo  -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0    -lfreetype   -lfontconfig      -lpthread   -lm -lgcc -lc -lgcc /usr/lib64/crtn.o 
xsettings.o: In function `something_changed_gsettingsCB':
/opt/kze/emacs-24.3/src/xsettings.c:215: undefined reference to `g_settings_get_value'
/opt/kze/emacs-24.3/src/xsettings.c:230: undefined reference to `g_settings_get_value'
/opt/kze/emacs-24.3/src/xsettings.c:244: undefined reference to `g_settings_get_value'
xsettings.o: In function `init_gsettings':
/opt/kze/emacs-24.3/src/xsettings.c:816: undefined reference to `g_settings_list_schemas'
/opt/kze/emacs-24.3/src/xsettings.c:822: undefined reference to `g_settings_new'
/opt/kze/emacs-24.3/src/xsettings.c:828: undefined reference to `g_settings_get_value'
/opt/kze/emacs-24.3/src/xsettings.c:839: undefined reference to `g_settings_get_value'
/opt/kze/emacs-24.3/src/xsettings.c:848: undefined reference to `g_settings_get_value'
collect2: ld returned 1 exit status
make[1]: *** [temacs] Error 1
make[1]: Leaving directory `/opt/kze/emacs-24.3/src'
make: *** [src] Error 2

--- snip ---

-- 
 -------------------------------------------------------------------
|  Klaus Zeitler              Alcatel-Lucent                        |
|  Lorenzstrasse 10           D-70435 Stuttgart, Germany            |
|  Department:                MS/E Building: 004  Office: 1/62      |
|  Telefon:                   +49 711 821 43898                     |
|  Email:                     [email-masked]      |
|                                                                   |
| Alcatel-Lucent Deutschland AG                                     |
| Sitz der Gesellschaft: Stuttgart · Amtsgericht Stuttgart HRB 4026 |
| Vorsitzender des Aufsichtsrates: Michael Oppenhoff                |
| Vorstand: Wilhelm Dresselhaus (Chairman) · Hans-Jörg Daub ·       |
|           Andreas Gehe                                            |
 -------------------------------------------------------------------
---
Issawi's Laws of Progress:
 The Course of Progress: Most things get steadily worse.
 The Path of Progress: A shortcut is the longest distance between two points.